// app_module.dart
import 'package:flutter_modular/flutter_modular.dart';
import 'package:layout_form_builder/form_list_page.dart';

import 'dynamic_page_module.dart';

class AppModule extends Module {
  // Provide a list of dependencies to inject into your project
  @override
  final List<Bind> binds = [];

  // Provide all the routes for your module
  @override
  final List<ModularRoute> routes = [
    ChildRoute('/', child: (_, args) => FormListPage()),
    ModuleRoute('/dynamicPage', module: DynamicPageModule())
  ];
}
