import 'package:dynamic_widget/dynamic_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:layout_form_builder/datalayer/constant/eform_parser.dart';
import 'package:layout_form_builder/formcomponent/drop_down.dart';

class DropDownParser extends WidgetParser {
  @override
  String get widgetName => EFormWidgetParser.DropDown.value;

  @override
  Widget parse(Map<String, dynamic> map, BuildContext buildContext, ClickListener? listener) {
    return DropDown(fieldProp: map, listener: listener);
  }

  @override
  Type get widgetType => DropDown;

  @override
  Map<String, dynamic>? export(Widget? widget, BuildContext? buildContext) {
    return Map<String, dynamic>();
  }
}
