import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_pdfviewer/pdfviewer.dart';

import 'app_setting.dart';

class GenPdfPage extends StatefulWidget {
  final String pageId;

  GenPdfPage({required this.pageId});

  @override
  _GenPdfPageState createState() => _GenPdfPageState();
}

class _GenPdfPageState extends State<GenPdfPage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title:
              Text("Direct Credit PDF", style: TextStyle(fontFamily: 'Lato')),
        ),
        body: Container(
            child: SfPdfViewer.network(
                "${AppSetting.serverUrlPrefix}/flutterGenPdf/${widget.pageId}")));
  }
}
